Index: trunk/packages/sipb-xen-remctl-auto/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/changelog	(revision 1205)
+++ 	(revision )
@@ -1,192 +1,0 @@
-sipb-xen-remctl-auto (1.5.2) unstable; urgency=low
-
-  * sipb-xen-console-server -> invirt-console-host
-
- -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 01:43:15 -0400
-
-sipb-xen-remctl-auto (1.5.1) unstable; urgency=low
-
-  * Return the new invalid-command error code in sipb-xen-vmcontrol
-
- -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:51:34 -0400
-
-sipb-xen-remctl-auto (1.5) unstable; urgency=low
-
-  * Distinguish between Xen errors and invalid commands by returning a
-    completely outlandish error code that's not likely to conflict with
-    anything
-
- -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:47:50 -0400
-
-sipb-xen-remctl-auto (1.4) unstable; urgency=low
-
-  * Correctly extract the CDROM image from the remctl arguments
-
- -- Evan Broder <broder@mit.edu>  Sat, 18 Oct 2008 17:19:57 -0400
-
-sipb-xen-remctl-auto (1.3.1) unstable; urgency=low
-
-  * Quote the installer arguments correctly
-
- -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:47:54 -0400
-
-sipb-xen-remctl-auto (1.3) unstable; urgency=low
-
-  * Respond to remctl install requests by passing the options onto Xen
-
- -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 01:57:30 -0400
-
-sipb-xen-remctl-auto (1.2) unstable; urgency=low
-
-  * Exit successfully if inetd is already running; package fails to
-    install otherwise
-
- -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 05:03:18 -0400
-
-sipb-xen-remctl-auto (1.1) unstable; urgency=low
-
-  * Explicitly lock a volume before deleting it
-
- -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 18:01:34 -0400
-
-sipb-xen-remctl-auto (1.0.21) unstable; urgency=low
-
-  * start inetd too in init script
-
- -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:43:29 -0400
-
-sipb-xen-remctl-auto (1.0.20) unstable; urgency=low
-
-  * generate config files using mako
-
- -- Yang Zhang <y_z@mit.edu>  Thu, 14 Aug 2008 15:18:46 -0400
-
-sipb-xen-remctl-auto (1.0.19) unstable; urgency=low
-
-  * simplify the init script a la sipb-xen-dev
-
- -- Yang Zhang <y_z@mit.edu>  Thu,  7 Aug 2008 22:09:28 -0400
-
-sipb-xen-remctl-auto (1.0.18) unstable; urgency=low
-
-  * use invirt config in sipb-xen-lvm
-  * added .init script to generate /etc/remctl/acl/remote
-  * sipb_xen_database -> invirt.database
-
- -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:46:28 -0400
-
-sipb-xen-remctl-auto (1.0.17) unstable; urgency=low
-
-  * catch another version of the xenstore error in the listvms race
-
- -- Greg Price <price@mit.edu>  Wed, 23 Jul 2008 01:12:01 -0400
-
-sipb-xen-remctl-auto (1.0.16) unstable; urgency=low
-
-  * support YAML as well as JSON (broder, quentin, andersk, long ago)
-  * fix a race in listvms when a machine is shutting down
-
- -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 23:46:49 -0400
-
-sipb-xen-remctl-auto (1.0.15) unstable; urgency=low
-
-  * Compute time differences on server to avoid drift
-
- -- Quentin Smith <quentin@mit.edu>  Thu, 15 May 2008 20:58:04 -0400
-
-sipb-xen-remctl-auto (1.0.14) unstable; urgency=low
-
-  * Use more efficient python API to get VM information, and return it
-    in a Python dict structure.
-
- -- Quentin Smith <quentin@mit.edu>  Thu, 15 May 2008 20:29:03 -0400
-
-sipb-xen-remctl-auto (1.0.13) unstable; urgency=low
-
-  * Switch to just using the remote server.
-
- -- Greg Price <price@mit.edu>  Sat, 10 May 2008 21:26:42 -0400
-
-sipb-xen-remctl-auto (1.0.12) unstable; urgency=low
-
-  * Remove an obsolete line from the remctl config.
-
- -- Greg Price <price@mit.edu>  Sun,  4 May 2008 22:36:07 -0400
-
-sipb-xen-remctl-auto (1.0.11) unstable; urgency=low
-
-  * Close file descriptors for update-conserver on destroy/shutdown.
-
- -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 21:28:12 -0400
-
-sipb-xen-remctl-auto (1.0.10) unstable; urgency=low
-
-  * Delay running sipb-xen-update-conserver
-
- -- Evan Broder <broder@mit.edu>  Mon, 21 Apr 2008 20:26:28 -0400
-
-sipb-xen-remctl-auto (1.0.9) unstable; urgency=low
-
-  * Change the way that conserver is updated
-
- -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:36:04 -0400
-
-sipb-xen-remctl-auto (1.0.8) unstable; urgency=low
-
-  * Add support for updating conserver when VMs are turned on and off
-
- -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 00:40:23 -0400
-
-sipb-xen-remctl-auto (1.0.7) unstable; urgency=low
-
-  * changes for installer system
-
- -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sun, 28 Oct 2007 22:47:59 -0400
-
-sipb-xen-remctl-auto (1.0.6) unstable; urgency=low
-
-  * get rid of old "vmboot" call
-  * make "create" not destroy running machines.
-
- -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sat, 27 Oct 2007 16:54:26 -0400
-
-sipb-xen-remctl-auto (1.0.5) unstable; urgency=low
-
-  * move to common /usr/sbin/sipb-xen-* naming
-  * get rid of dispatch.sh hack
-  * fix "reboot" to "destroy then create" always, since that's what users will expect
-  * change remctl calls interface in various ways
-
- -- Tim Abbott <tabbott@mit.edu>  Tue, 16 Oct 2007 00:28:36 -0400
-
-sipb-xen-remctl-auto (1.0.4) unstable; urgency=low
-
-  * Fix typos.
-
- -- Anders Kaseorg <andersk@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 04:47:37 -0400
-
-sipb-xen-remctl-auto (1.0.3) unstable; urgency=low
-
-  * Prepend d_ to database VMs.
-
- -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:34:56 -0400
-
-sipb-xen-remctl-auto (1.0.2) unstable; urgency=low
-
-  * Added web interface support code.
-  * Move things from /etc/remctl/sipb-xen-auto/bin to /usr/sbin
-  * Quoted lots of variables
-
- -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sun,  7 Oct 2007 17:23:40 -0400
-
-sipb-xen-remctl-auto (1.0.1) unstable; urgency=low
-
-  * Stop scaring me with unquoted variables.
-
- -- Anders Kaseorg <andersk@mit.edu>  Sun, 05 Aug 2007 22:11:02 -0400
-
-sipb-xen-remctl-auto (1.0) unstable; urgency=low
-
-  * Initial release.
-
- -- Tim Abbott <tabbott@mit.edu>  Sun, 15 Jul 2007 19:37:05 -0400
Index: trunk/packages/sipb-xen-remctl-auto/debian/compat
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/compat	(revision 1205)
+++ 	(revision )
@@ -1,1 +1,0 @@
-4
Index: trunk/packages/sipb-xen-remctl-auto/debian/control
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/control	(revision 1205)
+++ 	(revision )
@@ -1,12 +1,0 @@
-Source: sipb-xen-remctl-auto
-Section: net
-Priority: extra
-Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0)
-Standards-Version: 3.7.2
-
-Package: sipb-xen-remctl-auto
-Architecture: all
-Depends: ${misc:Depends}, remctl-server, invirt-console-host, python-cjson, python-yaml
-Description: Installs the SIPB Xen automatic remctl management system
- This is our automatic remctl configuration management system.
Index: trunk/packages/sipb-xen-remctl-auto/debian/control.in
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/control.in	(revision 1205)
+++ 	(revision )
@@ -1,12 +1,0 @@
-Source: sipb-xen-remctl-auto
-Section: net
-Priority: extra
-Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
-Build-Depends: @cdbs@
-Standards-Version: 3.7.2
-
-Package: sipb-xen-remctl-auto
-Architecture: all
-Depends: ${misc:Depends}, remctl-server, invirt-console-host, python-cjson, python-yaml
-Description: Installs the SIPB Xen automatic remctl management system
- This is our automatic remctl configuration management system.
Index: trunk/packages/sipb-xen-remctl-auto/debian/copyright
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/copyright	(revision 1205)
+++ 	(revision )
@@ -1,16 +1,0 @@
-This software was written as part of the Invirt project <invirt@mit.edu>.
-
-Copyright :
-
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-On Debian systems, the complete text of the GNU General Public License
-can be found in the file /usr/share/common-licenses/GPL.
Index: trunk/packages/sipb-xen-remctl-auto/debian/rules
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/rules	(revision 1205)
+++ 	(revision )
@@ -1,4 +1,0 @@
-#!/usr/bin/make -f
-
-DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
-include /usr/share/cdbs/1/rules/debhelper.mk
Index: trunk/packages/sipb-xen-remctl-auto/debian/sipb-xen-remctl-auto.init
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/sipb-xen-remctl-auto.init	(revision 1205)
+++ 	(revision )
@@ -1,36 +1,0 @@
-#!/bin/bash
-### BEGIN INIT INFO
-# Provides:          sipb-xen-remctl-auto
-# Required-Start:    $local_fs $remote_fs
-# Required-Stop:     $local_fs $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: conserver config from invirt config for invirt host
-# Description:
-### END INIT INFO 
-
-PACKAGE=sipb-xen-remctl-auto
-
-. /lib/lsb/init-functions
-
-gen_config()
-{
-    for i in /etc/remctl/acl/remote
-    do mako-render $i.mako > $i
-    done
-}
-
-case "$1" in
-  start|reload|force-reload|restart)
-    log_begin_msg "Reloading config for $PACKAGE"
-    gen_config
-    log_end_msg $?
-    /etc/init.d/openbsd-inetd start # returns 1 if inetd is running
-    [ $? -eq 1 ] && exit 0
-    ;;
-  stop)
-    ;;
-  *)
-    log_success_msg "Usage: /etc/init.d/$PACKAGE {start|reload|force-reload|restart|stop}"
-    ;;
-esac
Index: trunk/packages/sipb-xen-remctl-auto/debian/sipb-xen-remctl-auto.install
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/sipb-xen-remctl-auto.install	(revision 1205)
+++ 	(revision )
@@ -1,1 +1,0 @@
-files/* .