Index: trunk/packages/sipb-xen-iptables/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/changelog	(revision 1254)
+++ 	(revision )
@@ -1,18 +1,0 @@
-sipb-xen-iptables (3) unstable; urgency=low
-
-  * shorten initscript with std-init.sh
-  * make reload work too, just for fun
-
- -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 15:37:07 -0400
-
-sipb-xen-iptables (2) unstable; urgency=low
-
-  * invirt-configurize sipb-xen-iptables
-
- -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:22:25 -0400
-
-sipb-xen-iptables (1) unstable; urgency=low
-
-  * Initial Release.
- -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 21:22:12 -0500
-
Index: trunk/packages/sipb-xen-iptables/debian/compat
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/compat	(revision 1254)
+++ 	(revision )
@@ -1,1 +1,0 @@
-4
Index: trunk/packages/sipb-xen-iptables/debian/control
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/control	(revision 1254)
+++ 	(revision )
@@ -1,11 +1,0 @@
-Source: sipb-xen-iptables
-Section: base
-Priority: extra
-Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), subversion
-Standards-Version: 3.7.2
-
-Package: sipb-xen-iptables
-Architecture: all
-Depends: ${misc:Depends}, iptables
-Description: Configure at boot the iptables rules for the VNC proxy client
Index: trunk/packages/sipb-xen-iptables/debian/copyright
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/copyright	(revision 1254)
+++ 	(revision )
@@ -1,16 +1,0 @@
-This software was written as part of the Invirt project <invirt@mit.edu>.
-
-Copyright :
-
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-On Debian systems, the complete text of the GNU General Public License
-can be found in the file /usr/share/common-licenses/GPL.
Index: trunk/packages/sipb-xen-iptables/debian/rules
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/rules	(revision 1254)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#!/usr/bin/make -f
-
-include /usr/share/cdbs/1/rules/debhelper.mk
Index: trunk/packages/sipb-xen-iptables/debian/sipb-xen-iptables.init
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/sipb-xen-iptables.init	(revision 1254)
+++ 	(revision )
@@ -1,39 +1,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          sipb-xen-iptables
-# Required-Start:    $local_fs $remote_fs
-# Required-Stop:     $local_fs $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: sipb-xen iptables rules
-# Description:       
-### END INIT INFO
-
-NAME=sipb-xen-iptables
-DESC="Load the sipb-xen iptables rules"
-RULES=/usr/share/sipb-xen-iptables/iptables.rules
-GEN_FILES=$RULES
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-
-dpkg -s "$NAME" >/dev/null 2>/dev/null || exit 0
-
-. /lib/init/gen-files.sh
-. /lib/init/std-init.sh
-
-do_start()
-{
-	gen_files
-	/sbin/iptables-restore < $RULES
-}
-
-do_reload()
-{
-	do_start
-}
-
-do_stop()
-{
-	return 0
-}
-
-std_init "$1"
Index: trunk/packages/sipb-xen-iptables/debian/sipb-xen-iptables.install
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/sipb-xen-iptables.install	(revision 1254)
+++ 	(revision )
@@ -1,1 +1,0 @@
-files/* .