Index: trunk/packages/sipb-xen-dom0/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-dom0/debian/changelog	(revision 1205)
+++ 	(revision )
@@ -1,95 +1,0 @@
-sipb-xen-dom0 (2.10) unstable; urgency=low
-
-  * Fix DHCP checksum error for ParaVMs
-
- -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 22:12:09 -0400
-
-sipb-xen-dom0 (2.9.1) unstable; urgency=low
-
-  * Whoops - was slightly too vicious with the cuts to qemu-dm-sipb
-
- -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:55:41 -0400
-
-sipb-xen-dom0 (2.9) unstable; urgency=low
-
-  * Move the qemu-ifup script to the location where it's now expected to
-    be.
-  * Clear out some debugging code from qemu-dm-sipb
-
- -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:39:43 -0400
-
-sipb-xen-dom0 (2.8) unstable; urgency=low
-
-  * Apply Sam's fix to vif-sipbroute for the prod cluster (the interface
-    should eventually be configurized)
-
- -- Evan Broder <broder@mit.edu>  Tue, 07 Oct 2008 01:18:37 -0400
-
-sipb-xen-dom0 (2.7) unstable; urgency=low
-
-  * Update qemu-dm-sipb to reflect the new location of qemu-dm
-
- -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:59 -0400
-
-sipb-xen-dom0 (2.6) unstable; urgency=low
-
-  * depend on sipb-xen-base
-
- -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:28:21 -0400
-
-sipb-xen-dom0 (2.5) unstable; urgency=low
-
-  * Don't rely on exported ROOT.
-
- -- Anders Kaseorg <andersk@mit.edu>  Fri, 02 May 2008 02:41:43 -0400
-
-sipb-xen-dom0 (2.4) unstable; urgency=low
-
-  * Add sipb-xen-losetup, a half-sane wrapper around the insane losetup.
-
- -- Greg Price <price@mit.edu>  Thu,  1 May 2008 01:13:28 -0400
-
-sipb-xen-dom0 (2.3) unstable; urgency=low
-
-  * Depend on generic metapackages/provides instead of particular 
-    versions.
-
- -- Anders Kaseorg <andersk@sipb-xen.mit.edu>  Sat, 27 Oct 2007 21:23:00 -0400
-
-sipb-xen-dom0 (2.2) unstable; urgency=low
-
-  * Add qemu-ifup script that depends on the device model script and
-    invokes vif-sipbroute.    As a consequence, we don't really support
-    bridged hvms any more.  It's not clear how to get enough information
-    out of qemu to do this.
-  * Call arpspoof with 18.181.0.1's address.  This is unfortunate in two
-    ways.  First, if we renumber we'll need to update the script.  Second,
-    it is possible that someone on 18.181 besides the router may have an
-    address cached.  Unfortunately, it doesn't work right if we don't
-    send the spoofed arp directly to the router.
-
- -- Sam Hartman <hartmans@debian.org>  Sun, 26 Aug 2007 18:57:17 -0400
-
-sipb-xen-dom0 (2.1) unstable; urgency=low
-
-  * Fix typo in init script 
-  * depend  on dsniff for arpspoof
-
- -- Sam Hartman <hartmans@debian.org>  Fri, 24 Aug 2007 17:22:20 -0400
-
-sipb-xen-dom0 (2) unstable; urgency=low
-
-  * Add qemu-dm-sipb written by andersk to get us the  domain ID in qemu-ifup 
-  * Add vif-sipbroute, a version of vif-route that does better netwwork
-    isolation and has initial but useless ipv6 support.  This version also
-    uses arpspoof to take over an address for domain migrations.   
-  * Add init script to enable rp_filter, proxy_arp and forwarding for the network config.
-
- -- Sam Hartman <hartmans@debian.org>  Fri, 24 Aug 2007 17:17:23 -0400
-
-sipb-xen-dom0 (1) unstable; urgency=low
-
-  *  First version
-
- -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 20:20:32 -0400
-
Index: trunk/packages/sipb-xen-dom0/debian/compat
===================================================================
--- trunk/packages/sipb-xen-dom0/debian/compat	(revision 1205)
+++ 	(revision )
@@ -1,1 +1,0 @@
-4
Index: trunk/packages/sipb-xen-dom0/debian/control
===================================================================
--- trunk/packages/sipb-xen-dom0/debian/control	(revision 1205)
+++ 	(revision )
@@ -1,15 +1,0 @@
-Source: sipb-xen-dom0
-Section: base
-Priority: extra
-Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
-Standards-Version: 3.7.2
-
-Package: sipb-xen-dom0
-Architecture: all
-Depends: ${misc:Depends}, emacs, nullmailer, dsniff,
-  xen-hypervisor, xen-utils, linux-image-xen-amd64|linux-xen, lvm2, grub,
-  sipb-xen-base
-Description: SIPB Xen domain 0 configuration
- This package includes the dependencies and configuration for 
- a domain 0 sipb-xen server.
Index: trunk/packages/sipb-xen-dom0/debian/copyright
===================================================================
--- trunk/packages/sipb-xen-dom0/debian/copyright	(revision 1205)
+++ 	(revision )
@@ -1,16 +1,0 @@
-This software was written as part of the Invirt project <invirt@mit.edu>.
-
-Copyright :
-
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-On Debian systems, the complete text of the GNU General Public License
-can be found in the file /usr/share/common-licenses/GPL.
Index: trunk/packages/sipb-xen-dom0/debian/rules
===================================================================
--- trunk/packages/sipb-xen-dom0/debian/rules	(revision 1205)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#!/usr/bin/make -f
-
-include /usr/share/cdbs/1/rules/debhelper.mk
Index: trunk/packages/sipb-xen-dom0/debian/sipb-xen-dom0.dirs
===================================================================
--- trunk/packages/sipb-xen-dom0/debian/sipb-xen-dom0.dirs	(revision 1205)
+++ 	(revision )
@@ -1,1 +1,0 @@
-usr/share/sipb-xen-dom0
Index: trunk/packages/sipb-xen-dom0/debian/sipb-xen-dom0.init
===================================================================
--- trunk/packages/sipb-xen-dom0/debian/sipb-xen-dom0.init	(revision 1205)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#!/bin/sh
-set -e
-
-case $1 in
-    start)
-    echo 1 >/proc/sys/net/ipv4/ip_forward
-    for foo in all default; do
-    echo 1 >/proc/sys/net/ipv4/conf/$foo/rp_filter 
-    echo 1 >/proc/sys/net/ipv4/conf/$foo/proxy_arp
-    done
-    ;;
-    esac
Index: trunk/packages/sipb-xen-dom0/debian/sipb-xen-dom0.install
===================================================================
--- trunk/packages/sipb-xen-dom0/debian/sipb-xen-dom0.install	(revision 1205)
+++ 	(revision )
@@ -1,2 +1,0 @@
-files/* .
-xend-config.sxp usr/share/sipb-xen-dom0