Index: trunk/packages/invirt-xen-config/files/etc/xen/qemu-ifup
===================================================================
--- trunk/packages/invirt-xen-config/files/etc/xen/qemu-ifup	(revision 1257)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#!/bin/sh
-
-echo "config qemu network with xen bridge for $@"
-
-if [ -z "$domid" ]; then
-    echo "domid is not set!!!" >&2
-    exit 1
-fi
-
-dev=$1
-qemu_online=yes
-XENBUS_PATH=/local/domain/0/backend/vif/${domid}/0
-vif=vif${domid}.0
-export vif qemu_online XENBUS_PATH dev 
-
-exec /etc/xen/scripts/vif-invirtroute online
Index: trunk/packages/invirt-xen-config/files/etc/xen/scripts/vif-invirtroute
===================================================================
--- trunk/packages/invirt-xen-config/files/etc/xen/scripts/vif-invirtroute	(revision 1257)
+++ 	(revision )
@@ -1,88 +1,0 @@
-#!/bin/bash
-
-
-
-
-
-#============================================================================
-# /etc/xen/vif-route
-#
-# Script for configuring a vif in routed mode.
-# The hotplugging system will call this script if it is specified either in
-# the device configuration given to Xend, or the default Xend configuration
-# in /etc/xen/xend-config.sxp.  If the script is specified in neither of those
-# places, then vif-bridge is the default.
-#
-# Usage:
-# vif-route (add|remove|online|offline)
-#
-# Environment vars:
-# vif         vif interface name (required).
-# XENBUS_PATH path to this device's details in the XenStore (required).
-# Read from the store:
-# ip      list of IP networks for the vif, space-separated (default given in
-#         this script).
-# V6PREFIX  prefix of v6 address to use
-# Note that the v6 support is kind of broken because there's not really a way to populate the v6 prefix
-# This script will set up proxy arp  for any ip addresses that are being routed
-# type read to determine if the device is ioemu
-
-#============================================================================
-
-dir=$(dirname "$0")
-. "$dir/vif-common.sh"
-
-main_ip=$(dom0_ip)
-dev=${dev:-${vif}}
-
-case "$command" in
-    online)
-        ifconfig ${dev} ${main_ip} netmask 255.255.255.255 up
-        echo 1 >/proc/sys/net/ipv4/conf/${dev}/proxy_arp
-	echo 1 >/proc/sys/net/ipv4/conf/${dev}/rp_filter 
-        ethtool -K ${dev} tx off
-        ipcmd='add'
-        cmdprefix=''
-        ;;
-    offline)
-        do_without_error ifdown ${vif}
-	if [ -f /var/run/radvd/radvd.pid.${vif} ] ; then
-	    do_without_error kill `cat /var/run/radvd/radvd.pid.${vif}`
-	    fi
-        ipcmd='del'
-        cmdprefix='do_without_error'
-        ;;
-esac
-
-v6prefix=${v6prefix:-}
-v6prefix=$(xenstore_read_default "$XENBUS_PATH/v6prefix" "$v6prefix")
-vif_type=$(xenstore_read_default "$XENBUS_PATH/type" "viffront")
-if [  ${vif_type} != "ioemu"  -o  x${qemu_online} = xyes ] ; then
-    if [ "${ip}" ] ; then
-    # If we've been given a list of IP addresses, then add routes from dom0 to
-    # the guest using those addresses.
-	for addr in ${ip} ; do
-	    ${cmdprefix} ip route ${ipcmd} ${addr} dev ${dev} src ${main_ip}
-	    arpspoof -i eth2 -t 18.181.0.1 ${addr}&
-	    sleep 5
-	    kill %arpspoof
-	done 
-    fi
-
-    if [ x${v6prefix} != x ] ; then
-	sed -e "s/@interface@/${dev}/" -e "s+@prefix@+${v6prefix}+" /etc/xen/radvd.conf.template >/var/run/radvd.conf.${vif}
-	${cmdprefix} ip -6 addr  ${ipcmd}  fe80::/64 scope link  dev ${dev} 
-	if [ $1 = online ] ; then
-	    radvd  -u radvd -C /var/run/radvd.conf.${vif} -p /var/run/radvd/radvd.pid.${vif}
-	fi
-	${cmdprefix} ip -6 route ${ipcmd} ${v6prefix} dev ${dev} 
-    fi
-fi
-
-handle_iptable
-
-log debug "Successful vif-route $command for $vif."
-if [ "$command" == "online" ]
-then
-  success
-fi
Index: trunk/packages/invirt-xen-config/files/usr/sbin/qemu-dm-invirt
===================================================================
--- trunk/packages/invirt-xen-config/files/usr/sbin/qemu-dm-invirt	(revision 1257)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#!/bin/sh
-domid=
-for i; do
-    if [ "$domid" = "_NEXT_" ]; then
-	domid=$i
-	break
-    elif [ "$i" = "-d" ]; then
-	domid=_NEXT_
-    fi
-done
-export domid
-exec "/usr/lib/xen/bin/qemu-dm" "$@"