Index: trunk/packages/sipb-xen-chrony-config/config.todo
===================================================================
--- trunk/packages/sipb-xen-chrony-config/config.todo	(revision 1205)
+++ 	(revision )
@@ -1,1 +1,0 @@
-tick.mit.edu, low priority
Index: trunk/packages/sipb-xen-chrony-config/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-chrony-config/debian/changelog	(revision 1205)
+++ 	(revision )
@@ -1,12 +1,0 @@
-sipb-xen-chrony-config (1.2) unstable; urgency=low
-
-  * Divert /etc/chrony/chrony.conf, not /etc/chrony.conf.
-  * Switch to current config-packages-dev API.
-
- -- Anders Kaseorg <andersk@mit.edu>  Sun, 01 Jun 2008 16:48:32 -0400
-
-sipb-xen-chrony-config (1) unstable; urgency=low
-
-  * Initial release.
-
- -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 06:23:10 -0400
Index: trunk/packages/sipb-xen-chrony-config/debian/compat
===================================================================
--- trunk/packages/sipb-xen-chrony-config/debian/compat	(revision 1205)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5
Index: trunk/packages/sipb-xen-chrony-config/debian/control
===================================================================
--- trunk/packages/sipb-xen-chrony-config/debian/control	(revision 1205)
+++ 	(revision )
@@ -1,15 +1,0 @@
-Source: sipb-xen-chrony-config
-Section: misc
-Priority: important
-Maintainer: sipb-xen@mit.edu
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), config-package-dev (>= 4.5~)
-Standards-Version: 3.7.2
-
-Package: sipb-xen-chrony-config
-Architecture: all
-Provides: ${diverted-files}
-Conflicts: ${diverted-files}
-Depends: ${shlibs:Depends}, ${misc:Depends}, chrony
-Description: Chrony configuration package for sipb-xen VMs
- This package should be installed on sipb-xen VMs to maintain
- an accurate clock
Index: trunk/packages/sipb-xen-chrony-config/debian/control.in
===================================================================
--- trunk/packages/sipb-xen-chrony-config/debian/control.in	(revision 1205)
+++ 	(revision )
@@ -1,15 +1,0 @@
-Source: sipb-xen-chrony-config
-Section: misc
-Priority: important
-Maintainer: sipb-xen@mit.edu
-Build-Depends: @cdbs@
-Standards-Version: 3.7.2
-
-Package: sipb-xen-chrony-config
-Architecture: all
-Provides: ${diverted-files}
-Conflicts: ${diverted-files}
-Depends: ${shlibs:Depends}, ${misc:Depends}, chrony
-Description: Chrony configuration package for sipb-xen VMs
- This package should be installed on sipb-xen VMs to maintain
- an accurate clock
Index: trunk/packages/sipb-xen-chrony-config/debian/copyright
===================================================================
--- trunk/packages/sipb-xen-chrony-config/debian/copyright	(revision 1205)
+++ 	(revision )
@@ -1,16 +1,0 @@
-This software was written as part of the Invirt project <invirt@mit.edu>.
-
-Copyright :
-
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-On Debian systems, the complete text of the GNU General Public License
-can be found in the file /usr/share/common-licenses/GPL.
Index: trunk/packages/sipb-xen-chrony-config/debian/rules
===================================================================
--- trunk/packages/sipb-xen-chrony-config/debian/rules	(revision 1205)
+++ 	(revision )
@@ -1,9 +1,0 @@
-#!/usr/bin/make -f
-
-DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
-DEB_DIVERT_EXTENSION = .sipb-xen
-DEB_DIVERT_FILES_sipb-xen-chrony-config += \
-	/etc/chrony/chrony.conf
-
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/divert.mk
Index: trunk/packages/sipb-xen-chrony-config/debian/sipb-xen-chrony-config.install
===================================================================
--- trunk/packages/sipb-xen-chrony-config/debian/sipb-xen-chrony-config.install	(revision 1205)
+++ 	(revision )
@@ -1,1 +1,0 @@
-files/* .
Index: trunk/packages/sipb-xen-chrony-config/files/etc/chrony/chrony.conf.sipb-xen
===================================================================
--- trunk/packages/sipb-xen-chrony-config/files/etc/chrony/chrony.conf.sipb-xen	(revision 1205)
+++ 	(revision )
@@ -1,87 +1,0 @@
-# This the default chrony.conf file for the Debian chrony package.  It is
-# suitable for a system with an intermittent dial-up connection.  After
-# editing this file use the command 'invoke-rc.d chrony restart' to make
-# your changes take effect.  
-# John Hasler <jhasler@debian.org> 3 Dec. 1998
-
-# See www.pool.ntp.org for an explanation of these servers.  Please
-# consider joining the project if possible.  If you can't or don't want to
-# use these servers I suggest that you try your ISP's nameservers.  We mark
-# the servers 'offline' so that chronyd won't try to connect when the link
-# is down.  Scripts in /etc/ppp/ip-up.d and /etc/ppp/ip-down.d use chronyc
-# commands to switch it on when the link comes up and off when it goes
-# down.  If you have an always-on connection such as cable omit the
-# 'offline' directive and chronyd will default to online.
-
-server time.mit.edu
-server tick.mit.edu
-
-# Look here for the admin password needed for chronyc.  The initial
-# password is generated by a random process at install time.  You may
-# change it if you wish.
-
-keyfile /etc/chrony/chrony.keys
-
-# Set runtime command key.  Note that if you change the key (not the
-# password) to anything other than 1 you will need to edit
-# /etc/ppp/ip-up.d/chrony, /etc/ppp/ip-down.d/chrony, and
-# /etc/cron.weekly/chrony as these scripts use it to get the password.
-
-commandkey 1
-
-# I moved the driftfile to /var/lib/chrony to comply with the Debian
-# filesystem standard.
-
-driftfile /var/lib/chrony/chrony.drift
-
-# Comment this line out to turn off logging.
-
-log tracking measurements statistics
-logdir /var/log/chrony
-
-# Stop bad estimates upsetting machine clock.
-
-maxupdateskew 100.0
-
-# Dump measurements when daemon exits.
-
-dumponexit
-
-# Specify directory for dumping measurements.
-
-dumpdir /var/lib/chrony
-
-# Let computer be a server when it is unsynchronised.
-
-local stratum 10
-
-# Allow computers on the unrouted nets 10 and 192.168 to use the server.
-
-allow 10/8
-allow 192.168/16
-allow 172.16/12
-
-# This directive forces `chronyd' to send a message to syslog if it
-# makes a system clock adjustment larger than a threshold value in seconds.
-
-logchange 0.5
-
-# This directive defines an email address to which mail should be sent
-# if chronyd applies a correction exceeding a particular threshold to the
-# system clock.
-
-# mailonchange root@localhost 0.5
-
-# This directive tells chrony to regulate the real-time clock and tells it
-# Where to store related data.  It may not work on some newer motherboards
-# that use the HPET real-time clock.  It requires enhanced real-time
-# support in the kernel.
-
-rtcfile /var/lib/chrony/chrony.rtc
-
-# If the last line of this file reads 'rtconutc' chrony will assume that
-# the CMOS clock is on UTC (GMT).  If it reads '# rtconutc' or is absent
-# chrony will assume local time.  The line (if any) was written by the
-# chrony postinst based on what it found in /etc/default/rcS.  You may
-# change it if necessary. 
-rtconutc