Index: package_tags/invirt-database/0.0.3/debian/changelog
===================================================================
--- package_tags/invirt-database/0.0.3/debian/changelog	(revision 1364)
+++ package_tags/invirt-database/0.0.3/debian/changelog	(revision 1364)
@@ -0,0 +1,387 @@
+invirt-database (0.0.3) unstable; urgency=low
+
+  * Add attributes to the ORM objects to connect mirrors and cdroms
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:16:18 -0400
+
+invirt-database (0.0.2) unstable; urgency=low
+
+  * Export mirrors_table and Mirrors from invirt.database.models
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:04:54 -0400
+
+invirt-database (0.0.1) unstable; urgency=low
+
+  * sipb-xen-database-common -> invirt-database
+  * sipb-xen-database-server -> invirt-database-server (a separate source package)
+  * sipb-xen-database-client -> invirt-xen-config
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400
+
+sipb-xen-database (10.36.1) unstable; urgency=low
+
+  * Typo in the new tables
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400
+
+sipb-xen-database (10.36) unstable; urgency=low
+
+  * Kill the remnants of the sipb_xen_database package
+  * Add the CDROM mirrors table
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400
+
+sipb-xen-database (10.35) unstable; urgency=low
+
+  * Shorten initscript with spiffy new library from sipb-xen-base
+
+ -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400
+
+sipb-xen-database (10.34) unstable; urgency=low
+
+  * yet another new-sqlalchemy fix, this one post-0.4.2
+
+ -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400
+
+sipb-xen-database (10.33) unstable; urgency=low
+
+  * Catch calls to restart Postgres and translate them into a sequential
+    stop, then start
+
+ -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400
+
+sipb-xen-database (10.32) unstable; urgency=low
+
+  * invirt.database.clear_cache should actually do something
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400
+
+sipb-xen-database (10.31) unstable; urgency=low
+
+  * Database-managed VMs should never even think about bridging
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400
+
+sipb-xen-database (10.30.4) unstable; urgency=low
+
+  * Fix a typo in the CDROM image path
+
+ -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400
+
+sipb-xen-database (10.30.3) unstable; urgency=low
+
+  * fix copy-paste errors in initscript: this is database, not console
+  * fix "typo" in initscript for package name printed in logs
+
+ -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700
+
+sipb-xen-database (10.30.2) unstable; urgency=low
+
+  * Fix a typo in the CDROM lookup in sipb-database
+
+ -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400
+
+sipb-xen-database (10.30.1) unstable; urgency=low
+
+  * Don't strip quotes that won't be there
+
+ -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:48:48 -0400
+
+sipb-xen-database (10.30) unstable; urgency=low
+
+  * Look for CD images in /dev/xenvg/image_* and validate image name from
+    the database
+  * Pass the installer arguments unaltered to the kernel, matching the
+    remctl interface
+
+ -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:09:42 -0400
+
+sipb-xen-database (10.29) unstable; urgency=low
+
+  * Some fixes in the sipb-database script
+
+ -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:24 -0400
+
+sipb-xen-database (10.28) unstable; urgency=low
+
+  * Re-establish the database connection if the server goes AWOL
+
+ -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:19:59 -0400
+
+sipb-xen-database (10.27) unstable; urgency=low
+
+  * Update sipb-database to work with newer SQLAlchemy and Xen
+
+ -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 20:08:16 -0400
+
+sipb-xen-database (10.26.1) unstable; urgency=low
+
+  * We want autoflush off, too
+
+ -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 19:22:12 -0400
+
+sipb-xen-database (10.26) unstable; urgency=low
+
+  * Disable transactions by default
+
+ -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:40:34 -0400
+
+sipb-xen-database (10.25) unstable; urgency=low
+
+  * add remote and console to pg_hba.conf template
+  * fix init script so it works
+  * port more code to sqlalchemy 0.4
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:30:26 -0400
+
+sipb-xen-database (10.24) unstable; urgency=low
+
+  * Update postgresql.conf for Hardy
+
+ -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 03:12:36 -0400
+
+sipb-xen-database (10.23) unstable; urgency=low
+
+  * switch to postgresql 8.3, as 8.1 isn't in hardy
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 02:09:43 -0400
+
+sipb-xen-database (10.22) unstable; urgency=low
+
+  * depend on postgresql without specifying old version 8.1
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:55:49 -0400
+
+sipb-xen-database (10.21) unstable; urgency=low
+
+  * fix distribution
+
+ -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:50:25 -0400
+
+sipb-xen-database (10.20) hardy; urgency=low
+
+  * port to sqlalchemy-0.4, which cuts out some newly deprecated
+    interfaces and allowed some still-present interfaces to bitrot
+
+ -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:06:21 +0000
+
+sipb-xen-database (10.19) unstable; urgency=low
+
+  * Generate config files for pg_hba.conf
+  * replace postgresql.conf
+
+ --  Sam Hartman <hartmans@xvm.mit.edu>  Mon, 25 Aug 2008 00:38:21 +0000
+
+sipb-xen-database (10.18) unstable; urgency=low
+
+  * add 'adminable' column to machines; for selectively, temporarily,
+    enabling admin mode on a machine
+
+ -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400
+
+sipb-xen-database (10.17) unstable; urgency=low
+
+  * pull IP gateway, network from config
+  * configurabilization complete!
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400
+
+sipb-xen-database (10.16) unstable; urgency=low
+
+  in sipb-xen-database-tables:
+  * use invirt.database, and take default db uri
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:51:32 -0400
+
+sipb-xen-database (10.15) unstable; urgency=low
+
+  in /etc/xen/database:
+  * uncommitted changes on black-mesa
+  * sipb_xen_database -> invirt.database
+  * use default db uri
+
+  in invirt.database:
+  * get default db uri from invirt.config
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:26:46 -0400
+
+sipb-xen-database (10.14) unstable; urgency=low
+
+  * Rename sipb_xen_database -> invirt.database,
+    keeping old name too for now, for compatibility.
+
+ -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 23:19:18 -0400
+
+sipb-xen-database (10.13) unstable; urgency=low
+
+  * Modify autoinstalls table to specify distribution/mirror.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Sat, 21 Jun 2008 21:25:21 -0400
+
+sipb-xen-database (10.12) unstable; urgency=low
+
+  * Add a description field.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Wed, 18 Jun 2008 03:52:49 -0400
+
+sipb-xen-database (10.11) unstable; urgency=low
+
+  * Specify ON DELETE CASCADE
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:25:35 -0400
+
+sipb-xen-database (10.10) unstable; urgency=low
+
+  * Make machine.acl a private relation.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:03:09 -0400
+
+sipb-xen-database (10.9) unstable; urgency=low
+
+  * Eager loading of relations for better performance.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 02 Jun 2008 01:39:11 -0400
+
+sipb-xen-database (10.8) unstable; urgency=low
+
+  * Configure serial console on boot
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Thu,  1 May 2008 20:21:25 -0400
+
+sipb-xen-database (10.7) unstable; urgency=low
+
+  * Depend on psql client in -client package.
+
+ -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:06:41 -0400
+
+sipb-xen-database (10.6) unstable; urgency=low
+
+  * Support autoinstalls table.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 22:34:46 -0400
+
+sipb-xen-database (10.5) unstable; urgency=low
+
+  * Enable USB tablet device in guests.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 21 Apr 2008 17:39:59 -0400
+
+sipb-xen-database (10.4.1) unstable; urgency=low
+
+  * Actually export the cache clearing function.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 21:18:01 -0400
+
+sipb-xen-database (10.4) unstable; urgency=low
+
+  * Ubuntu's dch sucks.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 20:43:42 -0400
+
+sipb-xen-database (10.3ubuntu1) gutsy; urgency=low
+
+  * Expose a function for clearing the cache.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 20:31:06 -0400
+
+sipb-xen-database (10.3) unstable; urgency=low
+
+  * Use 'acl', not 'users', for the reference to the machine_access table.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Thu, 24 Jan 2008 17:23:33 -0500
+
+sipb-xen-database (10.2) unstable; urgency=low
+
+  * Add MachineAccess to __all__ so it can be imported
+  * Remove unnecessary constructors for database objects
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:53:47 -0500
+
+sipb-xen-database (10.1) unstable; urgency=low
+
+  * Make sipb-xen-database-tables safer (don't default to drop_all)
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:39:59 -0500
+
+sipb-xen-database (10) unstable; urgency=low
+
+  * Added a machine_access table for cached ACLs
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:24:35 -0500
+
+sipb-xen-database (9.0) unstable; urgency=low
+
+  * No changes.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:17:20 -0400
+
+sipb-xen-database (9) unstable; urgency=low
+
+  * Add administrator column and backrefs to machine.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:11:47 -0400
+
+sipb-xen-database (8) gutsy; urgency=low
+
+  * Prepend d_ to database VMs.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:35:51 -0400
+
+sipb-xen-database (7.00002) gutsy; urgency=low
+
+  * Actually import re.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 04:34:07 -0400
+
+sipb-xen-database (7.00001) gutsy; urgency=low
+
+  * import re.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:40:25 -0400
+
+sipb-xen-database (7) unstable; urgency=low
+
+  * nics primary key should be mac address, not hostname.
+  * Make ip unique, and constructor for nics.
+  * Add a table for boot CDs.
+  * Add cdrom_image parameter.
+  * Regex sanity checking.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:18:30 -0400
+
+sipb-xen-database (6) unstable; urgency=low
+
+  * Adding a script to create lvm volumes
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sat, 22 Sep 2007 13:59:36 -0400
+
+sipb-xen-database (5) unstable; urgency=low
+
+  * Change the host from sipb-vm-1 to sipb-xen-dev
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sat,  8 Sep 2007 16:16:07 -0400
+
+sipb-xen-database (4) unstable; urgency=low
+
+  * Add script=vif-sipbroute to our vif lines
+
+ -- Nelson Elhage <nelhage@mit.edu>  Fri, 24 Aug 2007 22:07:18 -0400
+
+sipb-xen-database (3) unstable; urgency=low
+
+  * Add a connect() line to sipb-database
+  * Fix some other bugs in sipb-database
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sun, 19 Aug 2007 19:40:08 -0400
+
+sipb-xen-database (2) unstable; urgency=low
+
+  * Fix the postinit and prerm scripts to create a sipb-xen user
+
+ -- Nelson Elhage <nelhage@mit.edu>  Thu, 16 Aug 2007 16:27:36 -0400
+
+sipb-xen-database (1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sun, 15 Jul 2007 16:01:16 -0400
Index: package_tags/invirt-database/0.0.3/debian/compat
===================================================================
--- package_tags/invirt-database/0.0.3/debian/compat	(revision 1364)
+++ package_tags/invirt-database/0.0.3/debian/compat	(revision 1364)
@@ -0,0 +1,1 @@
+4
Index: package_tags/invirt-database/0.0.3/debian/control
===================================================================
--- package_tags/invirt-database/0.0.3/debian/control	(revision 1364)
+++ package_tags/invirt-database/0.0.3/debian/control	(revision 1364)
@@ -0,0 +1,17 @@
+Source: invirt-database
+Section: net
+Priority: extra
+Maintainer: Invirt project <invirt@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0),
+ python-all-dev (>=2.3.5-11), python-support (>= 0.5.3),
+ python-setuptools, python-debian, python-apt
+Standards-Version: 3.8.0
+
+Package: invirt-database
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, python-sqlalchemy,
+ python-psycopg2
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Description: Installs the Invirt database schema files
+ This contains the python modules to access the Invirt database
Index: package_tags/invirt-database/0.0.3/debian/copyright
===================================================================
--- package_tags/invirt-database/0.0.3/debian/copyright	(revision 1364)
+++ package_tags/invirt-database/0.0.3/debian/copyright	(revision 1364)
@@ -0,0 +1,16 @@
+This software was written as part of the Invirt project <invirt@mit.edu>.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/invirt-database/0.0.3/debian/pycompat
===================================================================
--- package_tags/invirt-database/0.0.3/debian/pycompat	(revision 1364)
+++ package_tags/invirt-database/0.0.3/debian/pycompat	(revision 1364)
@@ -0,0 +1,1 @@
+2
Index: package_tags/invirt-database/0.0.3/debian/rules
===================================================================
--- package_tags/invirt-database/0.0.3/debian/rules	(revision 1364)
+++ package_tags/invirt-database/0.0.3/debian/rules	(revision 1364)
@@ -0,0 +1,9 @@
+#!/usr/bin/make -f
+
+DEB_PYTHON_SYSTEM=pysupport
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/python-distutils.mk
+
+clean::
+	rm -rf python/invirt.database.egg-info
Index: package_tags/invirt-database/0.0.3/python/database/__init__.py
===================================================================
--- package_tags/invirt-database/0.0.3/python/database/__init__.py	(revision 1364)
+++ package_tags/invirt-database/0.0.3/python/database/__init__.py	(revision 1364)
@@ -0,0 +1,9 @@
+from invirt.config import structs as config
+from models import *
+import sqlalchemy
+
+def connect(uri = config.db.uri):
+    """ Connect to a given database URI"""
+    engine = sqlalchemy.create_engine(uri, pool_timeout=5)
+    meta.bind = engine
+    session.configure(bind=engine)
Index: package_tags/invirt-database/0.0.3/python/database/models.py
===================================================================
--- package_tags/invirt-database/0.0.3/python/database/models.py	(revision 1364)
+++ package_tags/invirt-database/0.0.3/python/database/models.py	(revision 1364)
@@ -0,0 +1,139 @@
+from sqlalchemy import *
+from sqlalchemy import orm
+from sqlalchemy.orm import create_session, relation
+
+from sqlalchemy.ext.sessioncontext import SessionContext
+from sqlalchemy.ext.assignmapper import assign_mapper
+
+__all__ = ['meta',
+           'session',
+           'clear_cache',
+           'machine_table',
+           'machine_access_table',
+           'nic_table',
+           'disk_table',
+           'types_table',
+           'cdroms_table',
+           'mirrors_table',
+           'autoinstalls_table',
+           'Machine',
+           'MachineAccess',
+           'NIC',
+           'Disk',
+           'Type',
+           'CDROM',
+           'Mirror',
+           'Autoinstall',
+           'or_',
+           ]
+
+meta = ThreadLocalMetaData()
+session = orm.scoped_session(orm.sessionmaker(transactional=False, autoflush=False))
+
+machine_table = Table('machines', meta,
+       Column('machine_id', Integer, primary_key=True, nullable=False),
+       Column('name', String, nullable=False),
+       Column('description', String, nullable=False),
+       Column('memory', Integer, nullable=False),
+       Column('owner', String, nullable=False),
+       Column('contact', String, nullable=False),
+       Column('uuid', String, nullable=False),
+       Column('administrator', String, nullable=False, default=False),
+       Column('type_id', String, ForeignKey('types.type_id'), nullable=False),
+       Column('autorestart', Boolean, nullable=False, default=False),
+       Column('cpus', Integer, nullable=False, default=1),
+       Column('adminable', Boolean, nullable=False, default=False))
+
+nic_table = Table('nics', meta,
+       Column('machine_id', Integer, ForeignKey('machines.machine_id'), nullable=True),
+       Column('mac_addr', String, nullable=False, primary_key=True),
+       Column('ip', String, nullable=False, unique=True),
+       Column('hostname', String, nullable=True))
+
+disk_table = Table('disks', meta,
+       Column('machine_id', Integer, ForeignKey('machines.machine_id'), nullable=False),
+       Column('guest_device_name', String, nullable=False),
+       Column('size', Integer, nullable=False),
+       PrimaryKeyConstraint('machine_id', 'guest_device_name'))
+
+types_table = Table('types', meta,
+       Column('type_id', String, primary_key=True, nullable=False),
+       Column('description', String, nullable=False),
+       Column('hvm', Boolean, nullable=False),
+       Column('apic', Boolean, nullable=False),
+       Column('acpi', Boolean, nullable=False),
+       Column('pae', Boolean, nullable=False))
+
+mirrors_table = Table('mirrors', meta,
+       Column('mirror_id', String, primary_key=True, nullable=False),
+       Column('uri_prefix', String, nullable=False))
+
+cdroms_table = Table('cdroms', meta,
+       Column('cdrom_id', String, primary_key=True, nullable=False),
+       Column('description', String, nullable=False),
+       Column('mirror_id', String, ForeignKey('mirrors.mirror_id')),
+       Column('uri_suffix', String))
+
+autoinstalls_table = Table('autoinstalls', meta,
+       Column('autoinstall_id', String, primary_key=True, nullable=False),
+       Column('description', String, nullable=False),
+       Column('type_id', String, ForeignKey('types.type_id'), nullable=False),
+       Column('distribution', String, nullable=False),
+       Column('mirror', String, nullable=False))
+
+machine_access_table = Table('machine_access', meta,
+       Column('machine_id', Integer, ForeignKey('machines.machine_id', ondelete='CASCADE'), nullable=False, index=True),
+       Column('user', String, nullable=False, index=True),
+       PrimaryKeyConstraint('machine_id', 'user'))
+
+class Machine(object):
+    def __repr__(self):
+        return "<Machine %s: name='%s' owner='%s'>" % (self.machine_id, self.name, self.owner)
+
+class MachineAccess(object):
+    def __repr__(self):
+        return "<MachineAccess machine='%s' user='%s'>" % (self.machine, self.user)
+
+class NIC(object):
+    def __repr__(self):
+        return "<NIC: mac='%s' machine='%s' ip='%s' hostname='%s'>" % (self.mac_addr, self.machine_id, self.ip, self.hostname)
+
+class Disk(object):
+    def __repr__(self):
+        return "<Disk: machine=%s device=%s size=%s>" % (self.machine_id, self.guest_device_name, self.size)
+
+class Type(object):
+    def __repr__(self):
+        return "<Type %s: %s>" % (self.type_id, self.description)
+
+class Mirror(object):
+    def __repr__(self):
+        return "<Mirror %s>" % (self.mirror_id)
+
+class CDROM(object):
+    def __repr__(self):
+        return "<CDROM %s: %s>" % (self.cdrom_id, self.description)
+
+class Autoinstall(object):
+    def __repr__(self):
+        return "<Autoinstall %s: %s (%s)>" % (self.autoinstall_id, self.description, self.type.type_id)
+
+session.mapper(Machine, machine_table,
+              properties={'nics': relation(NIC, backref="machine", lazy=False),
+                          'disks': relation(Disk, backref="machine", lazy=False),
+                          'type': relation(Type, lazy=False),
+                          'acl': relation(MachineAccess, backref="machine", lazy=False, passive_deletes=True, cascade="all, delete-orphan")});
+session.mapper(MachineAccess, machine_access_table)
+session.mapper(NIC, nic_table)
+session.mapper(Disk, disk_table)
+session.mapper(Type, types_table)
+session.mapper(Mirror, mirrors_table)
+session.mapper(CDROM, cdroms_table,
+               properties={'mirror': relation(Mirror, backref="cdroms")})
+session.mapper(Autoinstall, autoinstalls_table)
+
+def clear_cache():
+    """Clear sqlalchemy's cache
+    """
+
+    session.clear()
Index: package_tags/invirt-database/0.0.3/setup.py
===================================================================
--- package_tags/invirt-database/0.0.3/setup.py	(revision 1364)
+++ package_tags/invirt-database/0.0.3/setup.py	(revision 1364)
@@ -0,0 +1,23 @@
+#!/usr/bin/python
+
+from os import path
+from debian_bundle.changelog import Changelog
+from debian_bundle.deb822 import Deb822
+from email.utils import parseaddr
+from setuptools import setup
+
+version = Changelog(open(path.join(path.dirname(__file__), 'debian/changelog')).read()).\
+    get_version().full_version
+
+maintainer_full = Deb822(open(path.join(path.dirname(__file__), 'debian/control')))['Maintainer']
+maintainer, maintainer_email = parseaddr(maintainer_full)
+
+setup(
+    name='invirt.database',
+    version=version,
+    maintainer=maintainer,
+    maintainer_email=maintainer_email,
+    
+    packages = ['invirt.database'],
+    package_dir = {'invirt': 'python'}
+)