Index: trunk/packages/sipb-xen-vnc-server/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-vnc-server/debian/changelog	(revision 1385)
+++ 	(revision )
@@ -1,18 +1,0 @@
-sipb-xen-vnc-server (1.2) unstable; urgency=low
-
-  * Move certificate files into /usr/share/sipb-xen-vnc-server
-  * Switch to distutils-based package
-
- -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 15:07:33 -0400
-
-sipb-xen-vnc-server (1.1) unstable; urgency=low
-
-  * Update dependencies for Hardy
-
- -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 22:16:32 -0400
-
-sipb-xen-vnc-server (1) unstable; urgency=low
-
-  * Initial Release.
- -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 19:28:22 -0500
-
Index: trunk/packages/sipb-xen-vnc-server/debian/compat
===================================================================
--- trunk/packages/sipb-xen-vnc-server/debian/compat	(revision 1385)
+++ 	(revision )
@@ -1,1 +1,0 @@
-4
Index: trunk/packages/sipb-xen-vnc-server/debian/control
===================================================================
--- trunk/packages/sipb-xen-vnc-server/debian/control	(revision 1385)
+++ 	(revision )
@@ -1,16 +1,0 @@
-Source: sipb-xen-vnc-server
-Section: base
-Priority: extra
-Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0),
- python-all-dev (>=2.3.5-11), python-support (>= 0.5.3),
- python-setuptools, python-debian, python-apt
-Standards-Version: 3.7.2
-
-Package: sipb-xen-vnc-server
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, daemon,
- python-twisted-core, python-xen-3.2
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Install and enable the VNC server
Index: trunk/packages/sipb-xen-vnc-server/debian/copyright
===================================================================
--- trunk/packages/sipb-xen-vnc-server/debian/copyright	(revision 1385)
+++ 	(revision )
@@ -1,16 +1,0 @@
-This software was written as part of the Invirt project <invirt@mit.edu>.
-
-Copyright :
-
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-On Debian systems, the complete text of the GNU General Public License
-can be found in the file /usr/share/common-licenses/GPL.
Index: trunk/packages/sipb-xen-vnc-server/debian/pycompat
===================================================================
--- trunk/packages/sipb-xen-vnc-server/debian/pycompat	(revision 1385)
+++ 	(revision )
@@ -1,1 +1,0 @@
-2
Index: trunk/packages/sipb-xen-vnc-server/debian/rules
===================================================================
--- trunk/packages/sipb-xen-vnc-server/debian/rules	(revision 1385)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM=pysupport
-
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/python-distutils.mk
-
-binary-fixup/sipb-xen-vnc-server::
-        mv $(DEB_DESTDIR)usr/bin/sipb-xen-vnc-server $(DEB_DESTDIR)usr/sbin/sipb-xen-vnc-server
-
-clean::
-	rm -rf invirt.vnc.egg-info
Index: trunk/packages/sipb-xen-vnc-server/debian/sipb-xen-vnc-server.init
===================================================================
--- trunk/packages/sipb-xen-vnc-server/debian/sipb-xen-vnc-server.init	(revision 1385)
+++ 	(revision )
@@ -1,124 +1,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          sipb-xen-vnc-server
-# Required-Start:    $local_fs $remote_fs
-# Required-Stop:     $local_fs $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: sipb-xen VNC Proxy Server
-# Description:       
-### END INIT INFO
-
-# Author: SIPB Xen Project <sipb-xen@mit.edu>
-
-# Do NOT "set -e"
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="The sipb-xen VNC Proxy Server"
-NAME=sipb-xen-vnc-server
-DAEMON=/usr/sbin/sipb-xen-vnc-server
-DAEMON_ARGS=""
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-	# Return
-	#   0 if daemon has been started
-	#   1 if daemon was already running
-	#   2 if daemon could not be started
-	daemon --running -n $NAME && return 1
-	daemon -r -U -D "$(dirname $DAEMON)" -O daemon.info -E daemon.err -n $NAME -U $DAEMON $DAEMON_ARGS || return 2
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-	# Return
-	#   0 if daemon has been stopped
-	#   1 if daemon was already stopped
-	#   2 if daemon could not be stopped
-	#   other if a failure occurred
-	daemon --stop -n $NAME
-	RETVAL="$?"
-	[ "$RETVAL" = 2 ] && return 2
-	# Many daemons don't delete their pidfiles when they exit.
-	rm -f $PIDFILE
-	return "$RETVAL"
-}
-
-case "$1" in
-  start)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
-	do_start
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  stop)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-	do_stop
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  #reload|force-reload)
-	#
-	# If do_reload() is not implemented then leave this commented out
-	# and leave 'force-reload' as an alias for 'restart'.
-	#
-	#log_daemon_msg "Reloading $DESC" "$NAME"
-	#do_reload
-	#log_end_msg $?
-	#;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
-	log_daemon_msg "Restarting $DESC" "$NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
-  *)
-	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-	exit 3
-	;;
-esac
-
-:
Index: trunk/packages/sipb-xen-vnc-server/debian/sipb-xen-vnc-server.postinst
===================================================================
--- trunk/packages/sipb-xen-vnc-server/debian/sipb-xen-vnc-server.postinst	(revision 1385)
+++ 	(revision )
@@ -1,44 +1,0 @@
-#!/bin/sh
-# postinst script for #PACKAGE#
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <postinst> `abort-remove'
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    configure)
-	if [ -z "$2" ]; then
-	    echo "Please be sure to copy vncproxy.crt and vncproxykey.pem into /usr/share/sipb-xen-vnc-server/"
-	fi
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-